ges: avoid use of G_DECLARE_FINAL_TYPE which requires GLib 2.44

Fixes gstreamer/gst-editing-services#48
6 jobs for dont-use-glib-2-44-api in 27 minutes and 13 seconds